org.eclipse.ease.sign

## Class SignatureInfo

- java.lang.Object
- - org.eclipse.ease.sign.SignatureInfo

    public class SignatureInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`SignatureInfo(java.lang.String signature, java.lang.String provider, java.lang.String messageDigestAlgo)` Public constructor to store variables related to signature of script.
`SignatureInfo(java.lang.String signature, java.lang.String provider, java.lang.String messageDigestAlgo, java.lang.String[] certificates)` Public constructor to store variables related to signature of script.
`SignatureInfo(java.lang.String signature, java.lang.String provider, java.lang.String messageDigestAlgo, java.lang.String[] certificates, java.lang.String contentOnly)` Public constructor to store variables related to signature of script.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getCertificateChain()`
`java.lang.String` `getContentOnly()`
`java.lang.String` `getMessageDigestAlgo()`
`java.lang.String` `getProvider()`
`java.lang.String` `getSignature()`
`void` `setContentOnly(java.lang.String fileContent)` Set content corresponding to signature explicitly.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignatureInfo

    public SignatureInfo(java.lang.String signature,
                         java.lang.String provider,
                         java.lang.String messageDigestAlgo,
                         java.lang.String[] certificates,
                         java.lang.String contentOnly)

Public constructor to store variables related to signature of script. It is preferable to provide the required values.

Parameters:
  `signature` - provide signature in String format
  `provider` - name provider of signature
  `messageDigestAlgo` - name message-digest i.e. hash algorithm used for signature
  `certificates` - provide certificates in String array
  `contentOnly` - provide contents excluding signature

#### SignatureInfo

    public SignatureInfo(java.lang.String signature,
                         java.lang.String provider,
                         java.lang.String messageDigestAlgo,
                         java.lang.String[] certificates)

Public constructor to store variables related to signature of script. It is preferable to provide the required values.

Parameters:
  `signature` - provide signature in String format
  `provider` - name provider of signature
  `messageDigestAlgo` - name message-digest i.e. hash algorithm used for signature
  `certificates` - provide certificates in String array

#### SignatureInfo

    public SignatureInfo(java.lang.String signature,
                         java.lang.String provider,
                         java.lang.String messageDigestAlgo)

Public constructor to store variables related to signature of script. It is preferable to provide the required values.

Parameters:
  `signature` - provide signature in String format
  `provider` - name provider of signature
  `messageDigestAlgo` - name message-digest i.e. hash algorithm used for signature

### Method Detail

#### getSignature

    public java.lang.String getSignature()

Returns:
  the signature

#### getProvider

    public java.lang.String getProvider()

Returns:
  the provider

#### getMessageDigestAlgo

    public java.lang.String getMessageDigestAlgo()

Returns:
  the messageDigestAlgo

#### getCertificateChain

    public java.lang.String[] getCertificateChain()

Returns:
  the certificate chain in Base64 String array

#### getContentOnly

    public java.lang.String getContentOnly()

Returns:
  the contentOnly

#### setContentOnly

    public void setContentOnly(java.lang.String fileContent)

Set content corresponding to signature explicitly. Helpful when content and signature are not all in single file.

Parameters:
  `fileContent` - provide file content corresponding to the stored signature